%define realname django-tagging

Name:           python-django-tagging
Version:        0.5.0
Release:        %mkrel 1
Summary:        A generic tagging application for Django projects

Group:          Development/Python
License:        MIT
URL:            https://github.com/Fantomas42/django-tagging
Source0:        https://pypi.io/packages/source/d/%{realname}/%{realname}-%{version}.tar.xz
Patch0:         django-tagging-utf8-v0.4.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%package -n python3-django-tagging
Summary:        A generic tagging application for Django projects
Group:          Development/Python
Requires:       python3-django

%description -n python3-django-tagging
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0

# drop bundled egg-info
rm -rf django_tagging.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-django-tagging
%{python3_sitelib}/tagging
%{python3_sitelib}/django_tagging-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 05 2022 tex - 0.5.0-1pclos2022
- new version

